Probleme mit libraries

Hallo leute,

da mir die SUFO nicht weiter geholfen hat, habe ich mich nun mal hier angemeldet.

Mein Problem ist, dass ich eine RGB SMDs Lichterkette ansteuern will welche über ws2801 laufen.
Ich bin in der sache auch noch absoluter Anfänger, habe aber bereits einige Schaltpläne und
gute Beispiel programme gefunden. Mein Bord ist das Arduino UNO und mein Problem ist, dass
ich beim Hochladen immer nur Fehlermeldungen erhalte… U.a. das in meiner libraries ich die passenden Komponenten nicht habe wie z.b. “FastLED.h” oder “Adafruit_NeoPixel.h”.

Kann mir da jemand weiter helfen, wie ich die o.g. Komponenten meiner libraries hinzufügen kann ? Oder hat jemand eine alternative für mich ?

Angeklemmt habe ich die SMD Kette wie folgt:

+12V - Netzteil
CLK - D3
DAT - D2
GND - Netzteil

Danke im vorraus.
Basti

Hast du die Libraries runtergeladen und richtig installiert?

z.B. FastLED: https://github.com/FastLED/FastLED

Rechts oben auf "download zip". Dann in den Libraries Ordern entpacken und (ganz wichtig!!) das "-master" im Ordner-Namen entfernen.

Hallo Basti, willkommen im Forum!

Kennst Du die Seite Installing Additional Arduino Libraries?

FastLED beispielsweise sollte dann unter \Arduino\libraries\FastLED\FastLED.h zu finden sein. Ich entpacke die Dateien manuell, ist Geschmackssache.

Es hat Funktioniert, danke euch beiden =)